Rygel.Transcoder.create_source – librygel-server Reference Manual

# create_source

## Description:

public abstract DataSource create_source (MediaItem item, DataSource src) throws `Error`

Creates a transcoding source.

The provided original #RygelDataSource will have been implemented by the same media engine that provided the #RygelTranscoder, allowing the #RygelTranscoder to access specific resources of the underlying multimedia backend used by the media engine.

## Parameters:

src | the media item to create the transcoding source for
src | the original (non-transcoding) source

## Returns:

the new transcoding source